import es
import gungamelib

es.load("myo_achievement")
achievementManager = es.import_addon("myo_achievement")

info = es.AddonInfo()
info.name     = 'Achievements for GG5'
info.version  = '1.0'
info.url      = 'http://www.addons.eventscripts.com/view/gg_achievements'
info.basename = 'gungame/custom_addons/gg_achievements'
info.author   = '3R10N'
    
gg_kills_soft = achievementManager.AchievementGroup("softkills", "Softcore Achievements - Kills", "These are easy to achieve killing achievements for GunGame.")
gg_kills_soft["gg_skill1"] = ("Downer I", "Kill 25 enemies.", 25)
gg_kills_soft["gg_skill2"] = ("Downer II", "Kill 75 enemies.", 75)
gg_kills_soft["gg_skill3"] = ("Downer III", "Kill 150 enemies.", 150)

gg_kills_soft["gg_spistk1"] = ("Pist-Patch I", "Kill 25 enemies with a pistol.", 25)
gg_kills_soft["gg_spistk2"] = ("Pist-Patch II", "Kill 75 enemies with a pistol.", 75)
gg_kills_soft["gg_spistk3"] = ("Pist-Patch III", "Kill 150 enemies with a pistol.", 150)

gg_kills_soft["gg_sshotk1"] = ("Boom Off I", "Kill 25 enemies with a shotgun.", 25)
gg_kills_soft["gg_sshotk2"] = ("Boom Off II", "Kill 75 enemies with a shotgun.", 75)
gg_kills_soft["gg_sshotk3"] = ("Boom Off III", "Kill 150 enemies with a shotgun.", 150)

gg_kills_soft["gg_ssmgk1"] = ("Dumbed Down I", "Kill 25 enemies with a sub-machine gun.", 25)
gg_kills_soft["gg_ssmgk2"] = ("Dumbed Down II", "Kill 75 enemies with a sub-machine gun.", 75)
gg_kills_soft["gg_ssmgk3"] = ("Dumbed Down III", "Kill 150 enemies with a sub-machine gun.", 150)

gg_kills_soft["gg_srifk1"] = ("Deleter I", "Kill 25 enemies with a assault rifle.", 25)
gg_kills_soft["gg_srifk2"] = ("Deleter II", "Kill 75 enemies with a assault rifle.", 75)
gg_kills_soft["gg_srifk3"] = ("Deleter III", "Kill 150 enemies with a assault rifle.", 150)

gg_kills_soft["gg_ssnik1"] = ("Life Depriver I", "Kill 25 enemies with a sniper rifle.", 25)
gg_kills_soft["gg_ssnik2"] = ("Life Depriver II", "Kill 75 enemies with a sniper rifle.", 75)
gg_kills_soft["gg_ssnik3"] = ("Life Depriver III", "Kill 150 enemies with a sniper rifle.", 150)

gg_kills_soft["gg_snadek1"] = ("Eradication I", "Kill 5 enemies with a hegrenade.", 5)
gg_kills_soft["gg_snadek2"] = ("Eradication II", "Kill 15 enemies with a hegrenade.", 15)
gg_kills_soft["gg_snadek3"] = ("Eradication III", "Kill 30 enemies with a hegrenade.", 30)

gg_kills_soft["gg_sknifk1"] = ("Humiliator I", "Kill 1 enemy with a knife.", 1)
gg_kills_soft["gg_sknifk2"] = ("Humiliator II", "Kill 5 enemies with a knife.", 5)
gg_kills_soft["gg_sknifk3"] = ("Humiliator III", "Kill 15 enemies with a knife.", 15)


gg_kills_hard = achievementManager.AchievementGroup("hardkills", "Hardcore Achievements - Kills", "These are hard to achieve killing achievements for GunGame.")
gg_kills_hard["gg_hkills1"] = ("Killing Professional I", "Kill 250 enemies.", 250)
gg_kills_hard["gg_hkills2"] = ("Killing Professional II", "Kill 500 enemies.", 500)
gg_kills_hard["gg_hkills3"] = ("Killing Professional III", "Kill 1000 enemies.", 1000)

gg_kills_hard["gg_hpistk1"] = ("Pistol Professional I", "Kill 250 enemies with a pistol.", 250)
gg_kills_hard["gg_hpistk2"] = ("Pistol Professional II", "Kill 500 enemies with a pistol.", 500)
gg_kills_hard["gg_hpistk3"] = ("Pistol Professional III", "Kill 1000 enemies with a pistol.", 1000)

gg_kills_hard["gg_hshotk1"] = ("Shotgun Professional I", "Kill 250 enemies with a shotgun.", 250)
gg_kills_hard["gg_hshotk2"] = ("Shotgun Professional II", "Kill 500 enemies with a shotgun.", 500)
gg_kills_hard["gg_hshotk3"] = ("Shotgun Professional III", "Kill 1000 enemies with a shotgun.", 1000)

gg_kills_hard["gg_hsmgk1"] = ("SMG Professional I", "Kill 250 enemies with a sub-machine gun.", 250)
gg_kills_hard["gg_hsmgk2"] = ("SMG Professional II", "Kill 75 enemies with a sub-machine gun.", 500)
gg_kills_hard["gg_hsmgk3"] = ("SMG Professional III", "Kill 1000 enemies with a sub-machine gun.", 1000)

gg_kills_hard["gg_hrifk1"] = ("Rifle Professional I", "Kill 250 enemies with a assault rifle.", 250)
gg_kills_hard["gg_hrifk2"] = ("Rifle Professional II", "Kill 500 enemies with a assault rifle.", 500)
gg_kills_hard["gg_hrifk3"] = ("Rifle Professional III", "Kill 1000 enemies with a assault rifle.", 1000)

gg_kills_hard["gg_hsnik1"] = ("Sniper Professional I", "Kill 250 enemies with a sniper rifle.", 250)
gg_kills_hard["gg_hsnik2"] = ("Sniper Professional II", "Kill 500 enemies with a sniper rifle.", 500)
gg_kills_hard["gg_hsnik3"] = ("Sniper Professional III", "Kill 1000 enemies with a sniper rifle.", 1000)

gg_kills_hard["gg_hnadek1"] = ("Grenade Professional I", "Kill 45 enemies with a hegrenade.", 45)
gg_kills_hard["gg_hnadek2"] = ("Grenade Professional II", "Kill 90 enemies with a hegrenade.", 90)
gg_kills_hard["gg_hnadek3"] = ("Grenade Professional III", "Kill 180 enemies with a hegrenade.", 180)

gg_kills_hard["gg_hknifk1"] = ("Knife Professional I", "Kill 25 enemies with a knife.", 25)
gg_kills_hard["gg_hknifk2"] = ("Knife Professional II", "Kill 50 enemies with a knife.", 50)
gg_kills_hard["gg_hknifk3"] = ("Knife Professional III", "Kill 100 enemies with a knife.", 100)

gg_level_soft = achievementManager.AchievementGroup("softlevel", "Softcore Achievements - Leveling", "These are easy to achieve leveling achievements for GunGame.")
gg_level_soft["gg_slevels1"] = ("1UP I", "Levelup 25 times.", 25)
gg_level_soft["gg_slevels2"] = ("1UP II", "Levelup 75 times.", 75)
gg_level_soft["gg_slevels3"] = ("1UP III", "Levelup 150 times.", 150)

gg_level_soft["gg_ssteal1"] = ("Snatcher I", "Steal a level 1 time.", 1)
gg_level_soft["gg_ssteal2"] = ("Snatcher II", "Steal a level 5 times.", 5)
gg_level_soft["gg_ssteal3"] = ("Snatcher III", "Steal a level 15 times.", 15)

gg_level_soft["gg_slead1"] = ("Ahead of the Game I", "Stay/Become in the lead 1 time.", 1)
gg_level_soft["gg_slead2"] = ("Ahead of the Game II", "Stay/Become in the lead 5 times.", 5)
gg_level_soft["gg_slead3"] = ("Ahead of the Game III", "Stay/Become in the lead 15 times.", 15)

gg_level_soft["gg_swin1"] = ("Champion I", "Win a GG match 1 time.", 1)
gg_level_soft["gg_swin2"] = ("Champion II", "Win a GG match 5 times.", 5)
gg_level_soft["gg_swin3"] = ("Champion III", "Win a GG match 15 times.", 15)

gg_level_hard = achievementManager.AchievementGroup("hardlevel", "Hardcore Achievements - Leveling", "These are hard to achieve leveling achievements for GunGame.")
gg_level_hard["gg_hlevels1"] = ("Leveling Professional I", "Levelup 250 times.", 250)
gg_level_hard["gg_hlevels2"] = ("Leveling Professional II", "Levelup 500 times.", 500)
gg_level_hard["gg_hlevels3"] = ("Leveling Professional III", "Levelup 1000 times.", 1000)

gg_level_hard["gg_hsteal1"] = ("Professional Thief I", "Steal a level 1 times.", 45)
gg_level_hard["gg_hsteal2"] = ("Professional Thief II", "Steal a level 5 times.", 90)
gg_level_hard["gg_hsteal3"] = ("Professional Thief III", "Steal a level 15 times.", 100)

gg_level_hard["gg_hlead1"] = ("Trueborn Leader I", "Stay/Become in the lead 45 times.", 45)
gg_level_hard["gg_hlead2"] = ("Trueborn Leader II", "Stay/Become in the lead 90 times.", 90)
gg_level_hard["gg_hlead3"] = ("Trueborn Leader III", "Stay/Become in the lead 100 times.", 100)

gg_level_hard["gg_hwin1"] = ("GG Victor I", "Win a GG match 45 times.", 45)
gg_level_hard["gg_hwin2"] = ("GG Victor II", "Win a GG match 90 times.", 90)
gg_level_hard["gg_hwin3"] = ("GG Victor III", "Win a GG match 100 times.", 100)

def load():
    gg_achievements = gungamelib.registerAddon('gg_achievements')
    gg_achievements.setDisplayName('gg_achievements')
    
def unload():
    gungamelib.unregisterAddon('gg_achievements')

def gg_levelup(ev):
	userid = int(ev['userid'])
	for gg_ach in ("gg_slevels1", "gg_slevels2", "gg_slevels3"):
		gg_level_soft[gg_ach].stepProgressForPlayer(userid)
	for gg_ach in ("gg_hlevels1", "gg_hlevels2", "gg_hlevels3"):
		gg_level_hard[gg_ach].stepProgressForPlayer(userid)		
		
def gg_knife_steal(ev):
	attacker = int(ev['attacker'])
	for gg_ach in ("gg_ssteal1", "gg_ssteal2", "gg_ssteal3"):
		gg_level_soft[gg_ach].stepProgressForPlayer(attacker)
	for gg_ach in ("gg_hsteal1", "gg_hsteal2", "gg_hsteal3"):
		gg_level_hard[gg_ach].stepProgressForPlayer(attacker)
		
def gg_new_leader(ev):
	userid = int(ev['userid'])
	for gg_ach in ("gg_slead1", "gg_slead2", "gg_slead3"):
		gg_level_soft[gg_ach].stepProgressForPlayer(userid)
	for gg_ach in ("gg_hlead1", "gg_hlead2", "gg_hlead3"):
		gg_level_hard[gg_ach].stepProgressForPlayer(userid)
	
def player_death(ev):
    if ev['es_attackerteam'] != ev['es_userteam']:
        for gg_ach in ("gg_skill1", "gg_skill2", "gg_skill3"):
            gg_kills_soft[gg_ach].stepProgressForPlayer(ev['attacker'])
        for gg_ach in ("gg_hkills1", "gg_hkills2", "gg_hkills3"):
            gg_kills_hard[gg_ach].stepProgressForPlayer(ev['attacker'])
                
        if ev['weapon'] in ("glock", "usp", "p228", "deagle", "elite", "fiveseven"):
            for gg_ach in ("gg_spistk1", "gg_spistk2", "gg_spistk3"):
                gg_kills_soft[gg_ach].stepProgressForPlayer(ev['attacker'])
            for gg_ach in ("gg_hpistk1", "gg_hpistk2", "gg_hpistk3"):
                gg_kills_hard[gg_ach].stepProgressForPlayer(ev['attacker'])
				
        elif ev['weapon'] in ("m3", "xm1014"):
            for gg_ach in ("gg_sshotk1", "gg_sshotk2", "gg_sshotk3"):
                gg_kills_soft[gg_ach].stepProgressForPlayer(ev['attacker'])
            for gg_ach in ("gg_hshotk1", "gg_hshotk2", "gg_hshotk3"):
                gg_kills_hard[gg_ach].stepProgressForPlayer(ev['attacker'])				
				
        elif ev['weapon'] in ("tmp", "mac10", "mp5navy", "ump45", "p90"):
            for gg_ach in ("gg_ssmgk1", "gg_ssmgk2", "gg_ssmgk3"):
                gg_kills_soft[gg_ach].stepProgressForPlayer(ev['attacker'])
            for gg_ach in ("gg_hsmgk1", "gg_hsmgk2", "gg_hsmgk3"):
                gg_kills_hard[gg_ach].stepProgressForPlayer(ev['attacker'])
				
        elif ev['weapon'] in ("galil", "famas", "ak47", "m4a1", "sg552", "aug"):
            for gg_ach in ("gg_srifk1", "gg_srifk2", "gg_srifk3"):
                gg_kills_soft[gg_ach].stepProgressForPlayer(ev['attacker'])
            for gg_ach in ("gg_hrifk1", "gg_hrifk2", "gg_hrifk3"):
                gg_kills_hard[gg_ach].stepProgressForPlayer(ev['attacker'])
				
        elif ev['weapon'] in ("scout", "sg550", "awp", "g3sg1"):
            for gg_ach in ("gg_ssnik1", "gg_ssnik2", "gg_ssnik3"):
                gg_kills_soft[gg_ach].stepProgressForPlayer(ev['attacker'])
            for gg_ach in ("gg_hsnik1", "gg_hsnik2", "gg_hsnik3"):
                gg_kills_hard[gg_ach].stepProgressForPlayer(ev['attacker'])
				
        elif ev['weapon'] in ("knife"):
            for gg_ach in ("gg_sknifk1", "gg_sknifk2", "gg_sknifk3"):
                gg_kills_soft[gg_ach].stepProgressForPlayer(ev['attacker'])
            for gg_ach in ("gg_hknifk1", "gg_hknifk2", "gg_hknifk3"):
                gg_kills_hard[gg_ach].stepProgressForPlayer(ev['attacker'])
				